Bug 50155 - exim4: Multiple issues (4.3)
exim4: Multiple issues (4.3)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.3
All Linux
: P3 normal (vote)
: UCS 4.3-4-errata
Assigned To: Quality Assurance
Philipp Hahn
:
Depends on: 50156
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-09 15:46 CEST by Philipp Hahn
Modified: 2019-09-11 15:56 CEST (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 9.8 (CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H) NVD


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2019-09-09 15:46:03 CEST
New Debian exim4 4.89-2+deb9u6A~4.3.0.201909091541 fixes:
This update addresses the following issue:
* Exim allows remote attackers to execute arbitrary code as root via a trailing backslash (CVE-2019-15846)
Comment 1 Quality Assurance univentionstaff 2019-09-09 17:00:43 CEST
--- mirror/ftp/4.3/unmaintained/component/4.3-4-errata/source/exim4_4.89-2+deb9u5A~4.3.4.201907290935.dsc
+++ apt/ucs_4.3-0-errata4.3-4/source/exim4_4.89-2+deb9u6A~4.3.0.201909091541.dsc
@@ -1,7 +1,12 @@
-4.89-2+deb9u5A~4.3.4.201907290935 [Tue, 30 Jul 2019 10:11:10 +0200] Univention builddaemon <buildd@univention.de>:
+4.89-2+deb9u6A~4.3.0.201909091541 [Mon, 09 Sep 2019 15:41:25 +0200] Univention builddaemon <buildd@univention.de>:
 
   * UCS auto build. The following patches have been applied to the original source package
     10_default-mta
+
+4.89-2+deb9u6 [Tue, 03 Sep 2019 20:01:38 +0200] Andreas Metzler <ametzler@debian.org>:
+
+  * 85_01-string.c-do-not-interpret-before-0-CVE-2019-15846.patch Fix SNI
+    related buffer overflow. CVE-2019-15846
 
 4.89-2+deb9u5 [Sat, 20 Jul 2019 13:32:35 +0200] Andreas Metzler <ametzler@debian.org>:
 

<http://10.200.17.11/4.3-4/#9197135026937051747>
Comment 2 Philipp Hahn univentionstaff 2019-09-10 11:42:28 CEST
Depends on mariadb-10.1
Comment 3 Philipp Hahn univentionstaff 2019-09-10 13:27:16 CEST
OK: yaml
OK: announce_errata
OK: patch
~OK: piuparts
 Fixed my depending on mariadb-10.1 Bug #50156

[4.3-4] 8ed37ad7a0 Bug #50155: exim4_4.89-2+deb9u6A~4.3.0.201909091541
 doc/errata/staging/exim4.yaml | 13 +++++++++++++
 1 file changed, 13 insertions(+)
Comment 4 Erik Damrose univentionstaff 2019-09-11 15:56:14 CEST
<http://errata.software-univention.de/ucs/4.3/585.html>